Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.api.model
Enum InvocationResult.State

    java.lang.Object
      java.lang.Enum<InvocationResult.State>
          org.mule.api.model.InvocationResult.State

All Implemented Interfaces:
  Serializable, Comparable<InvocationResult.State>

Enclosing class:
  InvocationResult

    public static enum InvocationResult.State

extends Enum<InvocationResult.State>

Enum Constant Summary
`FAILED` The invocation was attempted but failed
`NOT_SUPPORTED` the resolver performing the invocation knows that it cannot attempt to make the invocation
`SUCCESSFUL` the invocation was successful

Method Summary
`static InvocationResult.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InvocationResult.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_SUPPORTED

    public static final InvocationResult.State NOT_SUPPORTED

  the resolver performing the invocation knows that it cannot attempt to make the invocation

### SUCCESSFUL

    public static final InvocationResult.State SUCCESSFUL

  the invocation was successful

### FAILED

    public static final InvocationResult.State FAILED

  The invocation was attempted but failed

Method Detail

### values

    public static InvocationResult.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InvocationResult.State c : InvocationResult.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InvocationResult.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.